System 2.0.0.0 4.0.0.0 System.MarshalByRefObject System.MonoLimitation("The runtime does nothing special apart from what it already does with marshal-by-ref objects") System.Runtime.InteropServices.ComVisible(true)

The class prevents calls made into a hosting object by OLE from entering threads other than the UI thread.

You should derive your class from the class to gain this functionality.

Replaces the standard common language runtime (CLR) free-threaded marshaler with the standard OLE STA marshaler.

- Constructor
  2.0.0.0
  4.0.0.0

  You should derive your class from the class-.

  Initializes a new instance of the class.